public Frame(Dynamic.Tekla.Structures.Drawing.FrameTypes FrameType, Dynamic.Tekla.Structures.Drawing.DrawingColors FrameColor)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.FrameTypes_.GetTSObject(FrameType);
            args[1]          = Dynamic.Tekla.Structures.Drawing.DrawingColors_.GetTSObject(FrameColor);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Frame", args);
        }
Exemple #2
0
        public SymbolElement(Dynamic.Tekla.Structures.Drawing.SymbolInfo Symbol, Dynamic.Tekla.Structures.Drawing.DrawingColors Color, System.Double Height)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(Symbol);
            args[1]          = Dynamic.Tekla.Structures.Drawing.DrawingColors_.GetTSObject(Color);
            args[2]          = Height;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.SymbolElement", args);
        }
        public FontAttributes(Dynamic.Tekla.Structures.Drawing.DrawingColors color, System.Double height, System.String fontName, System.Boolean italic, System.Boolean bold)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.DrawingColors_.GetTSObject(color);
            args[1]          = height;
            args[2]          = fontName;
            args[3]          = italic;
            args[4]          = bold;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.FontAttributes", args);
        }
Exemple #4
0
        public LineTypeAttributes(Dynamic.Tekla.Structures.Drawing.LineTypes lineType, Dynamic.Tekla.Structures.Drawing.DrawingColors color)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.LineTypes_.GetTSObject(lineType);
            args[1]          = Dynamic.Tekla.Structures.Drawing.DrawingColors_.GetTSObject(color);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LineTypeAttributes", args);
        }